0

While running VMware 16 pro in My Linux Kernel i got a Error Like this..Here is the Error of Picture

Can Anyone give me solution for this :)

2
  • Please clarify your specific problem or provide additional details to highlight exactly what you need. As it's currently written, it's hard to tell exactly what you're asking.
    – Community Bot
    Mar 28 at 15:52
  • The instructions told you to see the log file for details. Did you? Are you going to share the details?
    – jamesdlin
    Mar 29 at 7:02

2 Answers 2

5

To use the VMware modules with newer kernels, you need some patches applied to the modules to be compatible. There is a repository that keep track of the needed patches and published them https://github.com/mkubecek/vmware-host-modules

There is a branch which host the changes needed to compile with the workstation version 16 in newer kernels.

If you get that code and compile the patched version, your VMWare will work.

git clone https://github.com/mkubecek/vmware-host-modules
cd vmware-host-modules
git checkout workstation-16.2.3
sudo make ; sudo make install
1
  • As it’s currently written, your answer is unclear. Please edit to add additional details that will help others understand how this addresses the question asked. You can find more information on how to write good answers in the help center.
    – Community Bot
    Jun 22 at 21:19
3

From: ubuntu 22.04 install vm workstation error

This is what helped me

cd /usr/lib/vmware/modules/source
git clone https://github.com/mkubecek/vmware-host-modules
cd vmware-host-modules
git checkout workstation-16.2.3
make
tar -cf vmnet.tar vmnet-only
tar -cf vmmon.tar vmmon-only
mv vmnet.tar /usr/lib/vmware/modules/source/
mv vmmon.tar /usr/lib/vmware/modules/source/
vmware-modconfig --console --install-all

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.